summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2018-12-01 20:32:11 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2018-12-07 14:02:10 +0100
commit8bc5ec1e77fcb87badca4cd512640c1a77f0a719 (patch)
tree53fc76ae8822eb78aff8846b96e7a80bcbaf1430 /app-emulation/virt-what
parentdev-python/pycryptodome: arm stable wrt bug #671970 (diff)
downloadgentoo-8bc5ec1e77fcb87badca4cd512640c1a77f0a719.tar.gz
gentoo-8bc5ec1e77fcb87badca4cd512640c1a77f0a719.tar.bz2
gentoo-8bc5ec1e77fcb87badca4cd512640c1a77f0a719.zip
app-emulation/virt-what: 1.18 → 1.19
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
Diffstat (limited to 'app-emulation/virt-what')
-rw-r--r--app-emulation/virt-what/Manifest1
-rw-r--r--app-emulation/virt-what/virt-what-1.19.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/app-emulation/virt-what/Manifest b/app-emulation/virt-what/Manifest
index f30ed5db008..95d2fab1af8 100644
--- a/app-emulation/virt-what/Manifest
+++ b/app-emulation/virt-what/Manifest
@@ -1 +1,2 @@
DIST virt-what-1.18.tar.gz 173703 BLAKE2B c1ab6f331ca370572cedef06fd3eb9177ca8ef4302446eb46c737446a001e77a0825ec8771aade903e6194af3f4f745c3f35f1d9dbbb8a0550b493296878ade3 SHA512 8085a38111d5664f411f5bb9d2ee221bc22e5b0f2d993e8d518718b3f63b16ba73e052b1623c090493cf8fef52fd237ba823377503a32b4b7d03cc5380d5c613
+DIST virt-what-1.19.tar.gz 183594 BLAKE2B 36b58cbe41f195cf81e0b0cf35ab881c3746ac352c57f470e1fe0005d65534f38886d7688ee9393837e667fd1c8bf41af013f3a12748db5f8615b9b5c944f7a9 SHA512 7b6e6c00e3f35cea236cc5f5fdf28d13e9e38143f280dfcbf083ebf0dca2cb677752b8daec5b2956a08405d1fe5368f9f633ce11a854928c31121a35ee4c6820
diff --git a/app-emulation/virt-what/virt-what-1.19.ebuild b/app-emulation/virt-what/virt-what-1.19.ebuild
new file mode 100644
index 00000000000..bbc7f8023ff
--- /dev/null
+++ b/app-emulation/virt-what/virt-what-1.19.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Detects if the current machine is running in a virtual machine"
+HOMEPAGE="https://people.redhat.com/~rjones/virt-what/"
+SRC_URI="https://people.redhat.com/~rjones/virt-what/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="dmi"
+
+DEPEND="dev-lang/perl"
+RDEPEND="app-shells/bash
+ dmi? ( sys-apps/dmidecode )"
+
+src_prepare() {
+ default
+
+ # Pretends to be POSIX sh while it is not
+ sed -e 's:/bin/sh:/bin/bash:' -i virt-what.in || die
+}